Bug 1254148 - [TTM] Failed to find memory space for buffer [hex-address] eviction
[TTM] Failed to find memory space for buffer [hex-address] eviction
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau (Show other bugs)
22
x86_64 Linux
unspecified Severity urgent
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-17 05:47 EDT by matti aarnio
Modified: 2016-07-19 14:55 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 14:55:14 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description matti aarnio 2015-08-17 05:47:23 EDT
Description of problem:
  X-server crashes after a few hours of use.

Version-Release number of selected component (if applicable):
  xorg-x11-drv-nouveau-1.0.11-2.fc22.x86_64
  xorg-x11-server-Xorg-1.17.2-2.fc22.x86_64
  pixman-0.32.6-4.fc22.x86_64
  kernel-4.1.3-100.fc21.x86_64
  kernel-4.1.3-201.fc22.x86_64
  kernel-4.1.4-200.fc22.x86_64

  (tried with all those kernels)


How reproducible:
  Takes 1-2 hours of work on browsers, eclipse, etc. tools.


Steps to Reproduce:
1. Install current Fedora 22
2. Use  06:00.0 VGA compatible controller: NVIDIA Corporation G73
           [GeForce 7600 GS] (rev a1) (prog-if 00 [VGA controller])
3. Use Gnome, Google-Chrome, Thunderbird, Eclipse


Actual results:
   Crash to user shell.

Expected results:
   No crash

Additional info:

Dmesg fragment:

[239339.349190] nouveau E[  PGRAPH][0000:06:00.0]  ERROR nsource: DATA_ERROR nstatus: BAD_ARGUMENT
[239339.349201] nouveau E[  PGRAPH][0000:06:00.0] ch 3 [0x0013c000 gnome-shell[31963]] subc 7 class 0x4097 mthd 0x0208 data 0x01000248

[246276.740387] [TTM] Failed to find memory space for buffer 0xffff8803414ccc00 eviction
[246276.740400] [TTM] No space for ffff8803414ccc00 (853 pages, 3412K, 3M)
[246276.740406] [TTM]   placement[0]=0x00070002 (1)
[246276.740409] [TTM]     has_type: 1
[246276.740413] [TTM]     use_type: 1
[246276.740416] [TTM]     flags: 0x0000000A
[246276.740419] [TTM]     gpu_offset: 0x00000000
[246276.740422] [TTM]     size: 131072
[246276.740425] [TTM]     available_caching: 0x00070000
[246276.740428] [TTM]     default_caching: 0x00010000


Xorg.0.log part on error:

...........
[246483.820] (EE) 
[246483.820] (EE) Backtrace:
[246483.821] (EE) 0: /usr/libexec/Xorg (OsLookupColor+0x139) [0x59a489]
[246483.822] (EE) 1: /lib64/libc.so.6 (__restore_rt+0x0) [0x3f89a34a4f]
[246483.823] (EE) 2: /lib64/libc.so.6 (__memcpy_sse2_unaligned+0x29) [0x3f89a9f279]
[246483.823] (EE) 3: /lib64/libpixman-1.so.0 (pixman_composite_glyphs+0x75b) [0x7f5440f231bb]
[246483.824] (EE) 4: /lib64/libpixman-1.so.0 (pixman_image_composite32+0x451) [0x7f5440ed6711]
[246483.824] (EE) 5: /usr/lib64/xorg/modules/libfb.so (fbComposite+0x208) [0x7f543f8e5958]
[246483.825] (EE) 6: /usr/lib64/xorg/modules/libexa.so (exaEnableDisableFBAccess+0x48f8) [0x7f544010fef8]
[246483.825] (EE) 7: /usr/lib64/xorg/modules/libexa.so (exaEnableDisableFBAccess+0x1670) [0x7f5440109d80]
[246483.826] (EE) 8: /usr/libexec/Xorg (DamageRegionAppend+0x621) [0x51f001]
[246483.826] (EE) 9: /usr/libexec/Xorg (AddTraps+0x4157) [0x518717]
[246483.826] (EE) 10: /usr/libexec/Xorg (SendErrorToClient+0x2ff) [0x43a4ff]
[246483.826] (EE) 11: /usr/libexec/Xorg (remove_fs_handlers+0x41b) [0x43e5fb]
[246483.826] (EE) 12: /lib64/libc.so.6 (__libc_start_main+0xf0) [0x3f89a20700]
[246483.826] (EE) 13: /usr/libexec/Xorg (_start+0x29) [0x4289c9]
[246483.827] (EE) 14: ? (?+0x29) [0x29]
[246483.827] (EE) 
[246483.827] (EE) Bus error at address 0x7f54227e727c
[246483.827] (EE) 
Fatal server error:
[246483.827] (EE) Caught signal 7 (Bus error). Server aborting
[246483.827] (EE) 
...........
Comment 1 matti aarnio 2015-08-18 03:06:01 EDT
This appeared after update from Fedora 21 to Fedora 22.

This happens repeatedly after 2 to 1 hours of browser + eclipse usage.
There seem to be a tendency to happen after shorter time when not rebooting
the machine. I have not recorded restart times to know for sure.

The kernel TTM diagnostics apparently happened about 210 seconds before X server crashed, and thus may or may not be related.

Also the pixman may not be the culprit, and Xorg base instead is.
Comment 2 matti aarnio 2015-08-24 12:08:33 EDT
Using kernel  4.1.3-100.fc21.x86_64  the stability problem disappears while rest of the system is FC22.

Therefore the issue is probably in later nouveau kernel driver (or kernel TTM,) and not in the pixman.
Comment 3 Fedora End Of Life 2016-07-19 14:55:14 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.